com.sleepycat.bind.tuple

## Class IntegerBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.lang.Integer>
    - - com.sleepycat.bind.tuple.IntegerBinding

All Implemented Interfaces:
  EntryBinding<java.lang.Integer>

    public class IntegerBinding
    extends TupleBinding<java.lang.Integer>

A concrete `TupleBinding` for a `Integer` primitive wrapper or an `int` primitive.

There are two ways to use this class:

1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection. The easiest way to obtain a binding instance is with the `TupleBinding.getPrimitiveBinding(java.lang.Class<T>)` method.

See Also:
  Integer Formats

### Constructor Summary

Constructors
Constructor and Description
`IntegerBinding()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `entryToInt(DatabaseEntry entry)` Converts an entry buffer into a simple `int` value.
`java.lang.Integer` `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
`protected TupleOutput` `getTupleOutput(java.lang.Integer object)` Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
`static void` `intToEntry(int val, DatabaseEntry entry)` Converts a simple `int` value into an entry buffer.
`void` `objectToEntry(java.lang.Integer object, TupleOutput output)` Converts a key or data object to a tuple entry.

### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

`entryToObject, getPrimitiveBinding, objectToEntry`

### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

`entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerBinding

    public IntegerBinding()

### Method Detail

#### entryToObject

    public java.lang.Integer entryToObject(TupleInput input)

Description copied from class: `TupleBinding`
Constructs a key or data object from a `TupleInput` entry.

Specified by:
  `entryToObject` in class `TupleBinding<java.lang.Integer>`
Parameters:
  `input` - is the tuple key or data entry.
Returns:
  the key or data object constructed from the entry.

#### objectToEntry

    public void objectToEntry(java.lang.Integer object,
                              TupleOutput output)

Description copied from class: `TupleBinding`
Converts a key or data object to a tuple entry.

Specified by:
  `objectToEntry` in class `TupleBinding<java.lang.Integer>`
Parameters:
  `object` - is the key or data object.
  `output` - is the tuple entry to which the key or data should be written.

#### getTupleOutput

    protected TupleOutput getTupleOutput(java.lang.Integer object)

Description copied from class: `TupleBase`
Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

Overrides:
  `getTupleOutput` in class `TupleBase<java.lang.Integer>`
Parameters:
  `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
Returns:
  an empty TupleOutput instance.
See Also:
  `TupleBase.setTupleBufferSize(int)`

#### entryToInt

    public static int entryToInt(DatabaseEntry entry)

Converts an entry buffer into a simple `int` value.

Parameters:
  `entry` - is the source entry buffer.
Returns:
  the resulting value.

#### intToEntry

    public static void intToEntry(int val,
                                  DatabaseEntry entry)

Converts a simple `int` value into an entry buffer.

Parameters:
  `val` - is the source value.
  `entry` - is the destination entry buffer.